import { createBrowserRouter } from 'react-router-dom';
import ErrorPage from '../pages/error';
import PortalPage from '../pages/portal';
import Redirect from '../pages/redirect';

export const future = {
  v7_startTransition: true,
  v7_fetcherPersist: true,
  v7_partialHydration: true,
  v7_relativeSplatPath: true,
  v7_skipActionErrorRevalidation: true,
  v7_normalizeFormMethod: true,
};

export const router = createBrowserRouter(
  [
    {
      path: '/login',
      element: <div>Hello Login!</div>,
    },
    {
      path: '/portal',
      element: <PortalPage />,
    },
    {
      path: '/',
      element: <Redirect />,
    },
    {
      path: '*',
      element: <ErrorPage />,
    },
  ],
  {
    future,
  }
);
