import { create } from 'zustand';

interface UserState {
  userInfo: {
    username: string;
  };
  token: string;
}
const initData: UserState = {
  userInfo: {} as UserState['userInfo'],
  token: '',
};

export const useUserStore = create<UserState>((set, get) => ({
  ...initData,
  setUserInfo: (userInfo: UserState['userInfo']) => set({ userInfo }),
  setToken: (token: string) => set({ token }),

  getUsername: () => {
    return get().userInfo?.username;
  },
  getToken: () => {
    return get().token;
  },
}));
